RDKit: RDKit::EnumerateStereoisomers::details::BondFlipper Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::EnumerateStereoisomers::details::BondFlipper Struct Reference

`#include <Flippers.h>`

Inheritance diagram for RDKit::EnumerateStereoisomers::details::BondFlipper:

## Public Member Functions
| BondFlipper ()=delete
| BondFlipper (RWMol &mol, const Chirality::StereoInfo &si)
| BondFlipper (const BondFlipper &other)=delete
| BondFlipper (BondFlipper &&other)=delete
BondFlipper & | operator= (const BondFlipper &other)=delete
BondFlipper & | operator= (BondFlipper &&other)=delete
| ~BondFlipper () override=default
void | flip (bool flag) override
Public Member Functions inherited from RDKit::EnumerateStereoisomers::details::Flipper
| Flipper ()=default
| Flipper (const Flipper &other)=delete
| Flipper (Flipper &&other)=delete
Flipper & | operator= (const Flipper &other)=delete
Flipper & | operator= (Flipper &&other)=delete
virtual | ~Flipper ()=default

## Public Attributes
Bond * | dp_bond {nullptr}

## Detailed Description

Definition at line 56 of file Flippers.h.

## Constructor & Destructor Documentation

## ◆ BondFlipper() [1/4]

RDKit::EnumerateStereoisomers::details::BondFlipper::BondFlipper | ( |  | ) |
| delete

Referenced by BondFlipper(), BondFlipper(), operator=(), and operator=().

## ◆ BondFlipper() [2/4]

RDKit::EnumerateStereoisomers::details::BondFlipper::BondFlipper | ( | RWMol & | mol,
|  | const Chirality::StereoInfo & | si )

## ◆ BondFlipper() [3/4]

RDKit::EnumerateStereoisomers::details::BondFlipper::BondFlipper | ( | const BondFlipper & | other | ) |
| delete

References BondFlipper().

## ◆ BondFlipper() [4/4]

RDKit::EnumerateStereoisomers::details::BondFlipper::BondFlipper | ( | BondFlipper && | other | ) |
| delete

References BondFlipper().

## ◆ ~BondFlipper()

RDKit::EnumerateStereoisomers::details::BondFlipper::~BondFlipper | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ flip()

void RDKit::EnumerateStereoisomers::details::BondFlipper::flip | ( | bool | flag | ) |
| overridevirtual

Implements RDKit::EnumerateStereoisomers::details::Flipper.

## ◆ operator=() [1/2]

BondFlipper & RDKit::EnumerateStereoisomers::details::BondFlipper::operator= | ( | BondFlipper && | other | ) |
| delete

References BondFlipper().

## ◆ operator=() [2/2]

BondFlipper & RDKit::EnumerateStereoisomers::details::BondFlipper::operator= | ( | const BondFlipper & | other | ) |
| delete

References BondFlipper().

## Member Data Documentation

## ◆ dp_bond

Bond* RDKit::EnumerateStereoisomers::details::BondFlipper::dp_bond {nullptr}

Definition at line 70 of file Flippers.h.

The documentation for this struct was generated from the following file:

- Flippers.h